datacache <- new.env(hash=TRUE, parent=emptyenv())

htmg430bmmrefseq <- function() showQCData("htmg430bmmrefseq", datacache)
htmg430bmmrefseq_dbconn <- function() dbconn(datacache)
htmg430bmmrefseq_dbfile <- function() dbfile(datacache)
htmg430bmmrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htmg430bmmrefseq_dbInfo <- function() dbInfo(datacache)

htmg430bmmrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htmg430bmmrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "htmg430bmmrefseq", "chip htmg430bmmrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htmg430bmmrefseq_dbconn())
}

